Last Comment Bug 677975 - Exception [nsIShellService.createShortcut] @ BookmarkHelper.js :: <TOP_LEVEL> :: line 92
: Exception [nsIShellService.createShortcut] @ BookmarkHelper.js :: <TOP_LEVEL>...
Status: VERIFIED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 8
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
Depends on:
Blocks: 676293
  Show dependency treegraph
 
Reported: 2011-08-10 11:17 PDT by Aaron Train [:aaronmt]
Modified: 2011-08-17 13:26 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.63 KB, patch)
2011-08-10 22:18 PDT, Mark Finkle (:mfinkle) (use needinfo?)
wjohnston2000: review+
Details | Diff | Review

Description Aaron Train [:aaronmt] 2011-08-10 11:17:46 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:8.0a1) Gecko/20110810 Firefox/8.0a1 Fennec/8.0a1

STR:
1. about:
2. 'Add to Home Screen'

ER: Shortcut added to homescreen or menu item greyed out (or not shown).
AR: Nothing added.

Grey out the menu item for local pages? Not show it? Add the ability?
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-10 11:24:25 PDT
about:firefox worked for me
about:home too
Comment 2 Aaron Train [:aaronmt] 2011-08-10 11:36:01 PDT
Strange, new profile, about:home: added went to about: didn't add, went to about:fennec, didn't add.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-10 11:39:09 PDT
(In reply to Aaron Train [:aaronmt] from comment #2)
> Strange, new profile, about:home: added went to about: didn't add, went to
> about:fennec, didn't add.

Any errors in console?
Comment 4 Aaron Train [:aaronmt] 2011-08-10 13:34:14 PDT
(In reply to Mark Finkle (:mfinkle) from comment #3)
> (In reply to Aaron Train [:aaronmt] from comment #2)
> > Strange, new profile, about:home: added went to about: didn't add, went to
> > about:fennec, didn't add.
> 
> Any errors in console?

None.
Comment 5 Aaron Train [:aaronmt] 2011-08-10 13:51:23 PDT
Ok scratch that, seeing this on other pages too, now with an error.

[Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIShellService.createShortcut]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://browser/content/BookmarkHelper.js :: <TOP_LEVEL> :: line 92"  data: no]
chrome://browser/content/BookmarkHelper.js
94
Comment 6 Aaron Train [:aaronmt] 2011-08-10 14:34:07 PDT
STR for error in comment #5 via http://www.pandora.com and then 'Add to Home Screen'
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-10 22:18:53 PDT
Created attachment 552306 [details] [diff] [review]
patch

* pandora.com had a null title
* about: had a null faviicon

The patch uses fallbacks for missing data: URL for the title, default favicon for the icon

Using the URL as a fallback for the title kinda hurts, but even the stock browser does it. The stock browser does let you edit the bookmark title as soon as you make the bookmark, so it's not as bad there.
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-12 11:03:00 PDT
http://hg.mozilla.org/mozilla-central/rev/3e0b5ad76bca
Comment 9 Aaron Train [:aaronmt] 2011-08-17 13:26:45 PDT
Verified Fixed
Mozilla/5.0 (Android Linux armv7l; rv:9.0a1) Gecko/20110817 Firefox/9.0a1 Fennec/9.0a1

Note You need to log in before you can comment on or make changes to this bug.